package com.buy507.mall.portal.service;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.buy507.mall.common.api.CommonResult;
import com.buy507.mall.portal.domain.MemberBankAccount;

/**
 * 会员银行信息
 */
public interface MemberBankAccountService {

	@Transactional
	CommonResult<String> add(MemberBankAccount bankAccount);
	
	CommonResult<String> delete(Long id);
	
	@Transactional
	CommonResult<String> update(MemberBankAccount bankAccount);
	
	CommonResult<MemberBankAccount> get(Long id);
	
	CommonResult<MemberBankAccount> getDefaultBankAccount();
	
	CommonResult<List<MemberBankAccount>> list();
}
